<?xml version="1.0" encoding="UTF-8"?>

<DeployScript>
  <Scripts>
    <KScript>
      <id>p1MEoP47</id>
      <number>formplugin_ts</number>
      <cmb_ftype></cmb_ftype>
      <scripttype>2</scripttype>
      <context><![CDATA[import { AbstractFormPlugin } from "@cosmic/bos-core/kd/bos/form/plugin";
import { EventObject } from "@cosmic/bos-script/java/util";
import { PropertyChangedArgs } from "@cosmic/bos-core/kd/bos/entity/datamodel/events";

class MyPlugin extends AbstractFormPlugin {

    registerListener(e: EventObject): void {
        super.registerListener(e);
        //...
    }

    afterCreateNewData(e: EventObject): void {
        super.afterCreateNewData(e);
        //...
    }

    afterBindData(e: EventObject): void {
        super.afterBindData(e);
        //...
    }

    propertyChanged(e: PropertyChangedArgs): void {
        super.propertyChanged(e);
        //...
    }

}

let plugin = new MyPlugin();

export { plugin };
]]></context>
      <bizappid>0a1f79d7000000ac</bizappid>
      <bizunitid>11FUEXZBA3UJ</bizunitid>
      <scriptname>form_plugin_model</scriptname>
      <creater_id>13466739</creater_id>
      <createdate>1685604543000</createdate>
      <modifydate>1724317676850</modifydate>
      <modifier_id>13466739</modifier_id>
      <isv>kingdee</isv>
      <classname>@cosmic/dev/ide/mainpage/plugins/formplugin_ts.ts</classname>
      <enginetype>1</enginetype>
      <scriptmodule>@cosmic/dev</scriptmodule>
    </KScript>
  </Scripts>
  <BOSVersion>1.0</BOSVersion>
</DeployScript>
